# pydicom.valuerep.ISfloat

class pydicom.valuerep.ISfloat(val: str | float | Decimal, validation_mode: int = None)

  Store value for an element with VR IS as `float`.

  Stores original integer string for exact rewriting of the string originally read or stored.

  Note: By the DICOM standard, IS can only be an `int`, however, it is not uncommon to see float IS values. This class is used if the config settings allow non-strict reading.

  Generally, use `IS` to create IS values, this is returned instead if the value cannot be represented as an `int`. See `IS` for details of the parameters and return values.

  __init__(val: str | float | Decimal, validation_mode: int = None) → None

  Methods

  `__init__`(val[, validation_mode]) |
  `as_integer_ratio`() | Return a pair of integers, whose ratio is exactly equal to the original float.
  `conjugate`() | Return self, the complex conjugate of any float.
  `fromhex`(string, /) | Create a floating-point number from a hexadecimal string.
  `hex`() | Return a hexadecimal representation of a floating-point number.
  `is_integer`() | Return True if the float is an integer.

  Attributes

  `imag` | the imaginary part of a complex number
  `real` | the real part of a complex number